API referenceSubnets
Subnet Lease By Network
Last updated
Network-addressed form of the route above. mainnet/finney return the same data as the unprefixed path; testnet/test return testnet data.
Path Parameters
network*string
Network to address. mainnet and finney are the same network, as are testnet and test.
Value in
- "finney"
- "mainnet"
- "test"
- "testnet"
netuid*integer
Range
0 <= value <= 65535Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/finney/subnets/0/lease"{ "data": { "field_sources": { "example": { "kind": "measured", "storage": "example" } }, "lease": { "accumulated_dividends_alpha": 0.5, "beneficiary": "example", "coldkey": "example", "cost_tao": 0.5, "emissions_share_percent": 1, "end_block": 5000000, "hotkey": "example", "lease_id": 1, "netuid": 7 }, "leased": false, "netuid": 7, "queried_at": "2026-06-01T00:00:00.000Z", "schema_version": 1 }, "meta": { "artifact_path": "example", "cache": "short", "contract_version": "2026-06-29.1", "generated_at": "2026-06-01T00:00:00.000Z", "pagination": { "collection": "example", "cursor": 1, "limit": 1, "next_cursor": 1, "order": "asc", "returned": 1, "sort": "example", "total": 1 }, "published_at": "2026-06-01T00:00:00.000Z", "source": "live-cron-prober", "stale_contract": { "built_under": "example", "live": "example" } }, "ok": true, "schema_version": 1}